gnuradio (3.7.9.1-2) unstable; urgency=medium

  * Update to v3.7.9.1-26-g0a1a76d (Closes: #812029)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 11 Mar 2016 16:35:08 -0500

gnuradio (3.7.9.1-1) unstable; urgency=medium

  * New upstream point release, notes in the gnuradio
    package: in file /usr/share/doc/gnuradio/RELEASE-NOTES-3.7.9.1.md

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 09 Feb 2016 00:43:23 -0500

gnuradio (3.7.9-4) unstable; urgency=medium

  * use comedilib again
  * update to v3.7.9-16-g4ce1d49
    grc: fix Parser errors menu item
    analog: Addresses issue 831
    analog: enable setting max dev. during runtime for NB
    gru: Fixes an obsolete numpy function call
    digital: Addresses issue 812
    Updated URL to UHD manual in USRP sink and source blocks
    gr-utils: Update error message

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 19 Jan 2016 15:11:08 -0500

gnuradio (3.7.9-3) unstable; urgency=medium

  * Do *not* try test on any i386 arch due to scipy sgegv_ errors

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 08 Jan 2016 21:48:22 -0500

gnuradio (3.7.9-2) unstable; urgency=medium

  * Do not try test on any i386 arch due to scipy sgegv_ errors

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 08 Jan 2016 12:14:48 -0500

gnuradio (3.7.9-1) unstable; urgency=medium

  * New upstream release
  * Update to v3.7.9-5-gdec480a
    Fixed delayed tag propagation
    added unit test for tag forwarding to delay
    gr-fec Repair puncture and depuncture XML files
    blocks resolve char sign ambiguity causing build bre
    Fix 64-bit OpenEmbedded builds

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 04 Jan 2016 19:03:42 -0500

gnuradio (3.7.9~rc1-2) experimental; urgency=medium

  * Add copyright info for unused embedded copy of volk from upstream tarball
  * Not re-packing upstream tarball to make use of upstream source signature

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 14 Dec 2015 20:24:41 -0500

gnuradio (3.7.9~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 11 Dec 2015 15:51:37 -0500

gnuradio (3.7.8.1-2) unstable; urgency=medium

  * Update to v3.7.8.1-2-g4bbe46e
    dtv-fix-coverity-issue-1327836
    grc-fix-858-category-string-splitting
  * update build depends to libgsl-dev (>= 2.0) (Closes: #804495)
  * update build depends, libuhd-dev is available on hppa (Closes: #803129)
  * do not use comedilib until it does the libgsl transition

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 19 Nov 2015 00:23:23 -0500

gnuradio (3.7.8.1-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 01 Nov 2015 20:02:06 -0500

gnuradio (3.7.8-8) unstable; urgency=medium

  * Update to 3.7.9git-28-ga42b7dc
  * Use cmake-policies to surpress warnings

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 05 Oct 2015 19:12:34 -0400

gnuradio (3.7.8-7) unstable; urgency=medium

  * That would be python-gtk2 dependency

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 05 Oct 2015 01:00:28 -0400

gnuradio (3.7.8-6) unstable; urgency=medium

  * add python-gtk dependency (Closes: #800688)
    also added python-sip and promoted python-qt4 to a dependency

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 02 Oct 2015 20:41:21 -0400

gnuradio (3.7.8-5) unstable; urgency=medium

  * fix dh_makeshlibs usage bugs

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 30 Sep 2015 21:23:30 -0400

gnuradio (3.7.8-4) unstable; urgency=medium

  * Tighten libuhd003 versioned dependency via dh_makeshlibs
  * Add new codec2 700 modes to grc template
  * wrap-and-sort makes it easier to see unnecessary libqwtplot3d-qt4-dev
    dependency was removed in 3.7.8-3 (Closes: #793075)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 29 Sep 2015 23:02:00 -0400

gnuradio (3.7.8-3) unstable; urgency=low

  * Acknowlegde NMUs
  * Update to v3.7.8-22-g2fa3642
  * update dependencies to uhd 3.9.0, volk 1.1, codec2 0.4
  * Absolute path for temporary HOME to allow tests to run

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 07 Sep 2015 16:10:48 -0400

gnuradio (3.7.8-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Updated dependencies for libvolk to latest package names:
   - libvolk1.0-bin -> libvolk1-bin

 -- Iain R. Learmonth <irl@debian.org>  Thu, 03 Sep 2015 11:33:49 +0100

gnuradio (3.7.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Updated dependencies for libvolk to latest package names:
   - libvolk1.0-dev -> libvolk1-dev
   - libvolk1.0 -> libvolk1.1
  * Updated dependencies for libuhd to latest package names:
   - libuhd003 -> libuhd003v5 (Closes: #797754)

 -- Iain R. Learmonth <irl@debian.org>  Wed, 02 Sep 2015 19:55:47 +0100

gnuradio (3.7.8-2) unstable; urgency=medium

  * build with log4cpp

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 13 Aug 2015 20:33:16 -0400

gnuradio (3.7.8-1) unstable; urgency=medium

  * New upstream release
  * Update to codec2 version 0.3
  * Funcube Dongle udev rule is current syntax (Closes: #669601)
  * gnuradio-dev brings in more common -dev packages (Closes: #770520)
  * removed unused build-dependency on libqwtplot3d-qt4-dev (Closes: #793075)
  * removed unused build-dependency on liboil0.3-dev (Closes: #793625)
  * built without log4cpp pending GCC ABI transition #791191.
  * built without thrift until version > 0.9.2-2 enters unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 05 Aug 2015 20:43:26 -0400

gnuradio (3.7.5-5) unstable; urgency=low

  * Use Breaks/Replaces to manage upgrades now that the newer libvolk-bin
    has files formerly found in gnuradio (Closes: #762072)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 09 Nov 2014 10:18:34 -0500

gnuradio (3.7.5-4) unstable; urgency=low

  * Use Breaks/Replaces to manage upgrades now that the newer libvolk-dev
    has files formerly found in gnuradio-dev (Closes: #762072, #767838)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 04 Nov 2014 22:21:46 -0500

gnuradio (3.7.5-3) unstable; urgency=low

  * Actual release notes in the gnuradio
    package /usr/share/doc/gnuradio/ChangeLogV3_7_5

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 05 Sep 2014 23:35:13 -0400

gnuradio (3.7.5-2) unstable; urgency=low

  * Handle lack of zeromq on hurd-i386
  * trial fix for native armv7 build support

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 01 Sep 2014 20:24:11 -0400

gnuradio (3.7.5-1) unstable; urgency=low

  * New upstream release, see extended release notes in the gnuradio
    package /usr/share/doc/gnuradio/ChangeLogV3_7_5

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 30 Aug 2014 13:08:50 -0400

gnuradio (3.7.4-4) unstable; urgency=low

  * Update to v3.7.4-50-gcbb0698

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 30 Aug 2014 12:38:45 -0400

gnuradio (3.7.4-3) unstable; urgency=low

  * Update to v3.7.4-43-gb3927e7
  * Include 10 more bug fixes from the maint branch

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 26 Aug 2014 21:16:36 -0400

gnuradio (3.7.4-2) unstable; urgency=low

  * wxPython fixes from Olly Betts <olly@survex.com> (Closes: #758846)
   - Update dependencies on wxPython to all be python-wxgtk3.0|python-wxgtk2.8.
   - Drop unused build dependency on libwxgtk3.0-dev|libwxgtk2.8-dev.
   - New patch wxpy3.0-compat to improve wxPython 3.0 compatibility.
  * No zmq on hurd, build-depend upon python-zmq for build testing

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 22 Aug 2014 17:22:09 -0400

gnuradio (3.7.4-1) unstable; urgency=low

  * package based upon git maint branch v3.7.4-28-g3897c85
  * New upstream release, see extended release notes in the gnuradio
    package /usr/share/doc/gnuradio/ChangeLogV3_7_4
  * Build gr-wxgui with wxwidgets3.0 if available
  * New 0MQ support using libzmq3-dev

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 15 Aug 2014 00:14:35 -0400

gnuradio (3.7.3-10) unstable; urgency=low

  * restore comedilib
  * Avoid buggy gr-ctrlport
  * fix fcd udev rules for modern kernel udev (Closes: #757236)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 10 Aug 2014 23:26:46 -0400

gnuradio (3.7.3-9) unstable; urgency=low

  * Update to v3.7.3-37-gaffda0b
  * Additional codec2 updates
  * Avoid buggy comedilib

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 04 May 2014 14:07:49 -0400

gnuradio (3.7.3-8) unstable; urgency=low

  * No gr-fcd on hurd

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 15 Apr 2014 07:09:35 -0400

gnuradio (3.7.3-7) unstable; urgency=low

  * No comedi on hurd

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 14 Apr 2014 00:12:10 -0400

gnuradio (3.7.3-6) unstable; urgency=low

  * Avoid ALSA on hurd (patch bsd-hurd-alsa)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 13 Apr 2014 08:11:53 -0400

gnuradio (3.7.3-5) unstable; urgency=low

  * no thread affinity for hurd

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 12 Apr 2014 20:55:12 -0400

gnuradio (3.7.3-4) unstable; urgency=low

  * Update to v3.7.3-20-gb0dce1e
  * disable gr-fcd if libusb is not found on hurd (rather than fail)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 12 Apr 2014 17:08:58 -0400

gnuradio (3.7.3-3) unstable; urgency=low

  * Update to v3.7.3-18-gb1855f7
  * Update debian/patches/bsd-fcd since special case handling for
    kFreeBSD libusb is no longer needed since freebsd-libs 10.0-4

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 10 Apr 2014 19:12:43 -0400

gnuradio (3.7.3-2) unstable; urgency=low

  * Update to v3.7.3-17-gc3ef245
  * Update Codec2 library
  * Update Codec2 gnuradio blocks: Clayton Smith (argilo, VE3IRR)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 09 Apr 2014 00:28:09 -0400

gnuradio (3.7.3-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 09 Mar 2014 20:55:45 -0400

gnuradio (3.7.2.2-1) unstable; urgency=low

  * New upstream bugfix release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 08 Mar 2014 23:29:48 -0500

gnuradio (3.7.2.1-5~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 27 Jan 2014 23:14:55 -0500

gnuradio (3.7.2.1-5) unstable; urgency=low

  * use correct compiler for unstable build

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 05 Jan 2014 12:14:43 -0500

gnuradio (3.7.2.1-4) unstable; urgency=low

  * Clarify gnuradio.install (Closes: #734207)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 04 Jan 2014 16:22:02 -0500

gnuradio (3.7.2.1-3) unstable; urgency=low

  * Remove Feature 606 patch, caused more problems rather than solved.

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 02 Jan 2014 00:16:41 -0500

gnuradio (3.7.2.1-2) unstable; urgency=low

  * New upstream bugfix release
  * New upstream release, see extended release notes in the gnuradio
    package /usr/share/doc/gnuradio/ChangeLogV3_7_2
    and /usr/share/doc/gnuradio/ChangeLogV3_7_2_1
  * Avoid functions not in FreeBSD libusb (Closes: #729270)
  * Implement Feature 606

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 26 Dec 2013 00:05:24 -0500

gnuradio (3.7.2.1-1) unstable; urgency=low

  * New upstream bugfix release

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 06 Dec 2013 06:46:38 -0500

gnuradio (3.7.1.1-1) unstable; urgency=low

  * New upstream bugfix release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 10 Nov 2013 17:35:42 -0500

gnuradio (3.7.1-2) unstable; urgency=low

  * Match GNU Radio live distribution 2013-0926
  * Use libsndfile if available

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 01 Oct 2013 18:36:54 -0400

gnuradio (3.7.1-1) unstable; urgency=low

  * New upstream release
  Important new features
  GRC Bus Ports (Nicholas McCarthy)
  
  Bus ports in the GNU Radio Companion (GRC) allow ganging block input 
  or output ports into a single port for display and connections. This 
  simplifies flowgraph entry when dealing with blocks that work with an 
  arbitrary number of streams.
  
  For further information, see:
  
  http://gnuradio.org/redmine/projects/gnuradio/wiki/Busports
  
  Minor features/updates (3.7.1):
  atsc: created atsc_rx.py and removed obsolete scripts (Andrew Davis)
  blocks: added interleaved_char_to_complex block (Tim O'Shea)
  blocks: Added QA code for all ControlPort probe types. (Tom Rondeau)
  blocks: adding a complex VCO block. (Tom Rondeau)
  blocks: adding a tags strobing block to help test tag stream. (Tom Rondeau)
  blocks: modified tag_debug block to publish number of tags queued
   (Tom Rondeau)
  build: Windows packages automatically include compiler runtime DLLs
   (Nicholas Corgan)
  build: installing all cmake files into lib/cmake/gnuradio directory
   (Tom Rondeau)
  channels: Added hardware impairments blocks from Matt Ettus' GRCon11 talk
   (Tom Rondeau)
  channels: added second channel model to dynamically change freq/timing
   offsets. (Tom Rondeau)
  channels: updated quantization demo for new histogram constructor
   (Tom Rondeau)
  channels: using new qtgui histogram sink in quantization demo. (Tom Rondeau)
  digital: added lo_offset and external clock utilisation to OFDM (Mike Jameson)
  digital: added lo_offset and external clock source to narrowband examples
   (Mike Jameson)
  digital: delay ofdm benchmark_tx exit to allow TX to empty (Mike Jameson)
  filter: added optional second input that dynamically adjusts
   resampling rate (Tom Rondeau)
  grc: Sorts the block tree column at start-up. (Julien Olivain)
  grc: Remove *out from sinks, *in from sources (Marcus Müller)
  grc: allow set_min_output_buffer on any blocks that have output ports
   (Tim O'Shea)
  grc: added special variable objects to represent constellations (Tom Rondeau)
  qtgui: Added histogram sink (Tom Rondeau)
  runtime: added tag_propagation_policy_t to block_gateway (Marcus Müller)
  runtime: Improved display handling for gr-ctrlport-monitor (Tim Newman)
  runtime: Added probes for byte, short, and int data types (Tom Rondeau)
  runtime: allow setting thread affinity to all blocks under a hier_block2
   (Tom Rondeau)
  uhd: squashed per-channel stream support (Josh Blum)
  
  Bug Fixes (3.7.1, 3.7.0.1):
  analog: agc3_cc: Fix uninitialized variable error. (Philip Balister)
  analog: agc3_cc: bug fix for input values of zero (Tim O'Shea)
  atsc: Fix bugs in atsc_field_sync_mux (Clayton Smith)
  blocks: expose set_period callback for blocks.message_strobe in GRC
   (Tim O'Shea)
  blocks: moved type conversions to use Volk dispatchers. (Tom Rondeau)
  blocks: set file_descriptor_source default to repeat=false (Tom Rondeau)
  build: don't install controlport config file in two places (Tom Rondeau)
  build: fix for finding and handling ICE 3.5 or 3.4 (Tom Rondeau)
  build: fix to allow reconfiguring install prefix (Johnathan Corgan)
  build: fixed some differences between handling Ice 3.4 and 3.5. (Tom Rondeau)
  build: fixes FindQwt cmake module to check that Qwt is >= 5.2.0. (Tom Rondeau)
  build: force detection to Python 2.x only (Julien Olivain)
  build: more robust FindICE operation with multiple ICE installs (Tom Rondeau)
  build: require Python v2 for build configuration (Jiri Pinkava)
  digital: fix digital.cpmmod_bc XML for new constants location
   (Johnathan Corgan)
  digital: fix for OFDM serializer QA after FFT block fix (Johnathan Corgan)
  digital: fix for moving average filter in OFDM equalizer. (Stefano Banti)
  digital: ofdm benchmark_rx fft conflict fix (Mike Jameson)
  docs: Fixes sphinx docs for user set LD_LIBRARY_PATH (Tom Rondeau)
  docs: Minor corrections, fixes to ControlPort documentation. (Tom Rondeau)
  docs: Updated and improved the message passing docs page. (Tom Rondeau)
  docs: added doc page on Performance Counters. (Tom Rondeau)
  docs: added documentation of the stream tags interface. (Tom Rondeau)
  docs: added information about the new pfb_arb_resampler kernel. (Tom Rondeau)
  examples: fix examples using 3.7 API without importing namespaces
   (Nathan West)
  fec: fix uninitialized class member in decode_ccsds_27 (Johnathan Corgan)
  fft: Remove the default constructor for fft::goertzel. (Philip Balister)
  fft: fix XML import for logpwrfft block (Andrej Lajovic)
  fft: fix missing set_window call on initialization (Johnathan Corgan)
  grc: added utf8 encoding line to python templates (Marcus Müller)
  grc: applying hidapi update patch from Hans de Goede (Volker Schroer)
  grc: fix to allow grcc to execute in headless mode (Roy Thompson)
  grc: fixes grcc to exit with error in case of a compilation error.
   (Julien Olivain)
  modtool: fixes using templates in OOT projects created with modtool.
   (Tom Rondeau)
  modtool: more robust checks for gnuradio-runtime include dirs and libs.
   (Tom Rondeau)
  modtool: fix finding gnuradio-runtime (Jiri Pinkava)
  modtool: fix detection of GNU Radio module directory (Jiri Pinkava)
  qtgui: fix missing API declarations (Nicholas McCarthy)
  qtgui: fixes some bugs between qwt 5 and 6, some reorg. (Tom Rondeau)
  runtime: Fixed runtime SWIG linker error (Nicholas Corgan)
  runtime: fix asynch messages delivery when handler not defined (Tim O'Shea)
  runtime: fix hier_block2 disconnect_all() (Johnathan Corgan)
  runtime: fixed copy/paste error in volk_types.py (Alexandru Csete)
  runtime: vmcircbuf_sysv_shm workaround for shmem race condition (Tim O'Shea)
  uhd: fix GRC wrapper generation to match UHD change (fixes #562)
   (Timo Lindfors)
  uhd: fix USRP config info strings to account for B2x0 (Nicholas Corgan)
  volk: fix ARM test functions that resulted in an infinite loop (Tom Rondeau)
  volk: fix xgetbv tests for OSX/gcc (Michael Dickens)
  volk: fix QA test to use non-integer multiples of register sizes (Doug Geiger)
  volk: fix Volk profiler to use non integer multiples of register sizes
   (Doug Geiger)
  wxgui: Prevent crash displaying a tooltip before initialization
   (Miklos Maroti)
  * Handle lack of freedesktop icon directories better (Closes: #720389)
  
 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 29 Aug 2013 23:25:22 -0400

gnuradio (3.7.0-5) unstable; urgency=low

  * Following zeroc-ice to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 12 Aug 2013 22:32:03 -0400

gnuradio (3.7.0-4) experimental; urgency=low

  * Using zeroc-ice 3.5 in experimental
  * fixup volk versioned depends
  * Include upstream maint branch fixes - but not
  Applying-hidapi-patch-from-Hans-de-Goede
   - conflicts with Debian BSD kernel patches
  * Debian uses default library locations, so NO_DEFAULT_PATH isn't good.
  * version depends on libvolk (Closes: #705867, #718707)
  
 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 11 Aug 2013 18:11:24 -0400

gnuradio (3.7.0-3) experimental; urgency=low

  * Ship cmake files (Closes: #718310)
  * Include upstream maint branch fixes

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 30 Jul 2013 12:26:13 -0400

gnuradio (3.7.0-2) experimental; urgency=low

  * Update bsd-no-thread-affinity
  * Add comma between arguments of atsc/xlate.py (Closes: #714987)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 05 Jul 2013 08:05:12 -0400

gnuradio (3.7.0-1) experimental; urgency=low

  * New upstream release
  * In experimental until zeroc-ice 3.5 is available in unstable.
  * Code Structure Changes (Johnathan Corgan, Tom Rondeau)
  
    The GNU Radio source code was restructured and flattened. All top-level
    components now use the same structure for consistency and ease of
    use. All blocks were moved out of gnuradio-core, which has been
    renamed to gnuradio-runtime. The blocks are now in their appropriate
    top-level components and reimplemented with the new 3.7 API style. The
    new API makes use of C++ namespaces and the virtual private
    implementation class pattern to better hide GNU Radio internals from
    user code.

    Details about this can be found here:
    http://gnuradio.org/redmine/projects/gnuradio/wiki/Move_3-6_to_3-7

    A Google doc showing all items that were moved from one place to another
    in the new style is here: http://ow.ly/mDpey

    Blocks not listed were already in their own components. Many blocks were
    removed. All columns marked with ‘-----’ means that column is not
    applicable to that block or class. Any column (except those marked as
    Remove) that are blank means that we might be able to improve upon it,
    which normally indicates using VOLK or improving documentation.

    A Google doc showing the new component and Doxygen categories for all
    components is here: http://ow.ly/mDplO
  
  * Important new features:
  * ControlPort (Tom Rondeau, Tim O’Shea)
  
    ControlPort is a new interface for standardizing remote procedure
    calls in GNU Radio:
  
      Remote control and visualization.
      Use of ControlPort to enable debugging without requiring extra debug
      streams.
      Abstracted interface, but currently using ICE (www.zeroc.com).
      No additional CPU usage while no monitoring is occurring.
      Can connect multiple remotes to same GNU Radio application.
      Can also have single ControlPort app control multiple GR apps.
  
    Each block creates interfaces to control data members, by defining
    ‘get’ and ‘set’ interface to query and update values of block
    variables. Preference files control the state of ControlPort in
    section [ControlPort] of gnuradio-runtime.conf.
  
    ControlPort comes with a generic utility to allow you to see all
    interfaces of a flowgraph: 
  
      gr-ctrlport-monitor <ip address> -p <port>
  
    Within a flowgraph, one can also use ControlPort probes to pass
    vectors of data to a ControlPort client, including complex IQ
    data. One useful probe calculates the power spectral density of a
    block output for remote display.
  
  See the ControlPort page in the GNU Radio manual for more information:
  
  http://gnuradio.org/doc/doxygen/page_ctrlport.html
  
  * Performance Measurement Tools
  
    Performance Counters were first built into GNU Radio in 3.6.5, but could
    only be accessed locally. Now, all Performance Counters can be
    exported over ControlPort.
  
    Performance Counters must be compiled into GNU Radio using
    -DENABLE_PERFORMANCE_COUNTERS=True. They can be toggled on/off at
    runtime using the [PerfCounters] section in gnuradio-runtime.conf. Use
    option ‘export’ to export Performance Counters over ControlPort.
  
    We now include a new tool to visualize the Performance Counters over
    ControlPort. This is installed as gr-perf-monitorx and requires the
    Python modules Scipy, NetworkX, and Matplotlib. Nodes of the flowgraph
    are represented as blue squares. The size of the square is
    proportional to the amount of time spent in the work function (either
    thread time or monotonic (wall clock) time). The size and depth of the
    shade of red of the edges is proportional to how full the block’s
    output buffer is.
  
  * QTGUI Enhancements (Tom Rondeau, Nick Foster, Ben Reynwar)
  
    The QTGUI widgets defined in gr-qtgui have had a major overhaul in
    3.7. All plots are now split out into individual components,
    including:
  
      Time plots (amplitude versus time)
      FFT plots (or PSD) (log magnitude versus frequency)
      Waterfall plots (or spectrograms) (time versus frequency with
      magnitude as the color intensity)
      Constellation plots (imaginary (quadrature) versus real (inphase))
      Time raster plots (time vs. time)
  
    Each plot can accept multiple connections that will overlay the
    signals on them. Zooming and unzooming are the same using the left and
    right mouse buttons. The center mouse button will pull up a context
    menu to allow manipulations of all kinds of properties of the display,
    such as line and marker styles, the size of the FFT, averaging, line
    transparency, etc. Significant work has gone into improving the
    performance, including the use of VOLK and more intelligent ways of
    handling the display to reduce the computational load.
  
    QT defined QT Style Sheets (QSS) that allow us to specify looks, colors,
    and other properties of a display. Support for the use of QSS has been
    added to gr-qtgui to make establishing your preferences easier.
  
    gr-qtgui/examples contains a number of examples showing how to use each
    type of plot and the QSS definition and interface.

  * Uninstalled imports (Ben Reynwar)
  
    The GNU Radio source tree was updated to allow us to directly import
    all GNU Radio components in-tree before install but using the same
    syntax. This change greatly reduces problems and complexity of writing
    Python code for use in both normal installations and QA code. This
    change will also allow us to automatically build the Sphinx Python
    manual during make.

    * Updated gr_filter_design (Sreeraj Rajendran)
  
    Overhauled the current gr_filter_design to add better visualization
    and interactive tools. Installed as part of the gr-filter component
    now, the gr_filter_design tool adds many new features for visualizing
    filters as well as support for IIR filter tap design. The new tool
    also includes a programmatic API that allows a user to launch the
    filter design tool inline in a program, design the new filter, and
    pass back an object containing the filter taps and parameters. Passing
    a callback function allows the designer to run in a separate thread
    and every time a new filter is designed, the callback function can be
    triggered to update a filter.
  
    Examples of using the programmatic access to gr_filter_design can be
    found in gr-filter/examples/gr_filtdes_*.

  * Other New Components and Features
    New blocks added
  
    gr::analog::fast_noise_source - pre-generates a table of random
    samples from the selected PDF and randomly samples from them. This has
    somewhat less entropy than the normal noise_source block but is
    significantly faster.
  
    gr::analog::agc3_*: Performs an initial linear gain ramp to quickly
    converge on a signal during startup and then falls back to an
    iterative loop similar to agc2.
  
    The agc, agc2, and agc3 blocks have been made to use a unified
    interface that now includes a default maximum gain value (set to 2^16
    so that it can scale up even the LSB of a USRP’s device).
  
  * New gr-fec component
  
    This new top-level component mainly functions as a placeholder for new
    FEC block implementations. Currently contains only a couple of
    purpose-built FEC blocks.

  * New gr-channels component (Tim O'Shea)
  
    This new top-level component holds current and future channel model
    blocks. The standard AWGN channel_model has moved here. In addition,
    there are two new channel models:
  
    fading_model - Uses configurable max Doppler shift, Rician power
    factor, and lists of the delays (in samples) and magnitudes of a power
    delay profile.

    selective_fading model - Basic fading model that can have a number
    of sinusoids, max Doppler shift, and Rician power factor defined for
    it.
  
  * GnuradioConfig.cmake (Tom Rondeau, Tim O’Shea)
  
    New GnuradioConfig.cmake and GnuradioConfigVersion.cmake cmake files are
    installed into the system under $prefix/lib/cmake/gnuradio. These
    files can be used by any other project to easily test if any GNU Radio
    components are installed and the minimum API-compatible version
    required.
  
    Set GR_REQUIRED_MODULES to any of the top-level components in GNU Radio
    in all caps. Then use find_package(Gnuradio) to search for them. The
    second optional argument is the API compatible version is was built
    against. For example, to test if gnuradio-runtime, gnuradio-blocks,
    and gnuradio-filter are installed, we would use:
  
    set(GR_REQUIRED_MODULES RUNTIME BLOCKS FILTER)
    find_package(Gnuradio 3.7.0)

  * Additional Fixes (Ben Reynwar, Tom Rondeau, Josh Blum, Nicholas Corgan)
  
      Added symbol output stream from constellation_receiver so we can see
      the locked constellation as well as the output bits.
  
      Introduced a new pfb_arb_resampler kernel class that can be used by
      other blocks. We have used this to significantly simplify the
      pfb_arb_resampler_ccf/fff blocks.
  
      All PFB code has new QA and fixed a few minor bugs in the
      calculation of some of the filters.
  
      Added more QAM support with Gray coding.
  
      Reworked VOLK. All kernels are now in volk/kernels/volk, made all
      kernels consistent in use of num_points, and redid any kernels that
      used num_bytes.
  
      Removed assumptions that were Linux-only to continue to support
      native MSVC builds.
  
  * Obsoleted and/or removed functionality
  
    The following items have been removed or redone:
  
      gr-shd (removed)
      gruel (removed; all functionality now in gnuradio-runtime)
      gr-howto-write-a-block (functionality replaced by gr_modtool)
  
    For more removed components, see: http://ow.ly/mDpey

  * Deprecated functionality
  
    These are items that are currently part of GNU Radio, but are planned
    to be removed in the next API release (3.8).
  
    gr-noaa  - will be reimplemented as a stand-alone, out-of-tree
               project and supported with PyBOMBS
    gr-pager - will be reimplemented as a stand-alone, out-of-tree
               project and supported with PyBOMBS
  
 -- A. Maitland Bottoms <bottoms@debian.org.org>  Wed, 03 Jul 2013 17:00:23 -0400

gnuradio (3.6.5.1-1) unstable; urgency=low

  * New upstream release
  * Bug fixes
  audio: fix default alsa device from hw:0,0 to default, Bug #551 (Tim O'Shea)
  blocks: fix big-endian issue in wavefile blocks (Jaroslav Škarvada)
  blocks: fix erroneous linkage to gr-filter (#547) (Johnathan Corgan)
  blocks: fix for ~file_source crash, Bug #550 (Tim O'Shea)
  blocks: fix param test in keep_me_in_n GRC wrapper (Tim Monahan-Mitchell)
  blocks: fix use of assertGreater in QA for older Python (Johnathan Corgan)
  cmake: fix CRLF to LF in in some modules (fixes #549) (Johnathan Corgan)
  cmake: make install directory of GNU Radio cmakes files configurable
         (Jaroslav Škarvada)
  core: ensure message passing blocks marked done are handled
        (Johnathan Corgan)
  core: fir_filter_with_buffer using consistent error margins in all
        QA tests (Tom Rondeau)
  core: fix vmcircbuf file read/compare to use strncmp instead of strcmp
        (Tom Rondeau)
  core: makes sure if capping to max_noutput_items with output_multiple
        that the value is always an output_multiple. (Tom Rondeau)
  core: making block_registry thread-safe for multiple flowgraphs to
        access it (Tom Rondeau)
  core: fix 2 threading issues with the shared memory system. (Tom Rondeau)
  digital: a block should not hold a reference to itself (Josh Blum)
  digital: bugfixes to ofdm_chanest, HPD and frame EQ (Martin Braun)
  digital: hack to prevent the HPD from crashing flow graphs (Martin Braun)
  digital: remove stray import from QA test (Johnathan Corgan)
  grcc: set grc file path, which is required for hier blocks (Bastian Bloessl)
  wavelet: fix for -lgslcblas getting stripped out of link flags (Tim O'Shea)
  wavelet: do not use unsupported compile flags for OSX (Michael Dickens)
  wxgui: Fixes to solve issues using GL sinks on OS X (Balint Seeber)
  wxgui: fix exception in callback before label set (Marcus D. Leech)
  wxgui: fix flickering on Linux created by bea6d506 (Sylvain Munaut)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 01 Jul 2013 06:51:25 -0400

gnuradio (3.7.0~rc0-1) experimental; urgency=low

  * New upstream release candidate
  * This is a snapshot of the repository master branch at tag v3.7.0rc0,
    and is intended for final testing by users.
  
    As this is not a formal release, it is not accompanied by release
    notes. The full list of changes between the 3.6 and 3.7 APIs will be
    made available at the time of 3.7.0 release.
  
   It does indicate, however, that the 3.7 API is now frozen and we will
   only be merging bug fixes into the source code until the final
   release. 
  
 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 21 Jun 2013 09:51:22 -0400

gnuradio (3.6.5-1) unstable; urgency=low

  * New upstream release
  * Important new features (3.6.5):
  
  New OFDM PHY layer (Martin Braun, Ben Reynwar)
  This release includes new OFDM PHY layer blocks in gr-digital. These
  have been rewritten from scratch to allow more configurability and to use
  some of the newer GNU Radio features (stream tags, async messages). Some
  work remains to tie these into a full over-the-air transceiver, so further
  development will be happening in the GNU Radio 3.7.x release series.
  
  * New runtime logging capability (Tom Rondeau)
  GNU Radio has a logging interface to enable various levels of logging
  information to be printed to the console or a file. The logger derives
  from log4cpp (http://log4cpp.sourceforge.net/) which is readily
  available in most Linux distributions. This is an optional dependency
  and GNU Radio will work without it. See:
  http://gnuradio.org/cgit/gnuradio.git/tree/docs/doxygen/other/logger.dox
  
  * Minor features/changes (3.6.5):
  build: git now ignores the build/ directory (Ben Hilburn)
  build: create and install a config.h for external projects (Tom Rondeau)
  build: install our cmake modules into share/gnuradio/cmake/Modules
  (Tom Rondeau)
  blocks: fixed udp_source to avoid permanent work blockage (Josh Blum)
  blocks: added proper EOF for msg tags test (Josh Blum)
  blocks: added gr::blocks::socket_pdu (Tim O'Shea)
  blocks: added gr::blocks::taptun_pdu (Tim O'Shea)
  blocks: added gr::blocks::pdu_to_tagged_stream (Tim O'Shea)
  blocks: added gr::blocks::tagged_stream_to_pdu (Tim O'Shea)
  blocks: added default arg value to mute_XX (Tim O'Shea)
  blocks: added probe_rate block (Tim O'Shea)
  blocks: fixed probe_signal_vx vector utilisation (Mike Jameson)
  blocks: fixed XML data type in gr::blocks::deinterleave (Miklos Maroti)
  docs: updated pfb introduction (Ben Reynwar)
  digital: added option to QAM to help with frequency locking (Ben Reynwar)
  digital: made qa_constellation_receiver more reliable (Ben Reynwar)
  digital: added QAM32-like constellation (Ben Reynwar)
  filter: added callback to adjust resampling rate of pfb_arb_resampler
  block (Tom Rondeau)
  filter: added fractional_resampler as a renamed
  fractional_interpolator (Tom Rondeau)
  grc: added sorting ability to GRC category tree (Gregory Warnes)
  grc: made 'float' an acceptable alias to 'real' in parameter types
  (Tom Rondeau)
  modtool: added tagged_stream block as an option (Martin Braun)
  modtool: fixed general python block template (Mike Jameson)
  uhd: added a usrp PC sync option (Josh Blum)
  uhd: added getters for bandwidth setting and range (Josh Blum)
  uhd: updated usrp_spectrum_sense with frequency readout (Mike Jameson)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 27 May 2013 15:28:27 -0400

gnuradio (3.6.4.2-1) unstable; urgency=low

  * New upstream release
  * Bug fixes:
  docs: fixed QT docs keywords (Ben Reynwar)
  blocks: fixed XML wrapper for gr::blocks::complex_to_real (Johnathan Corgan)
  blocks: fixed file meta data source to handle repeat of files (Tom Rondeau)
  blocks: fixed XML data type in gr::blocks::plateau_detector_fb
  (Johnathan Corgan)
  digital: fixed virtual destructor for constellation class (Tom Rondeau)
  digital: fixed SNR estimators (Tom Rondeau)
  filter: fixed pfb_arb_resampler XML for I/O types (Johnathan Corgan)
  filter: fixed exception when using interpolating filter with no taps
  (Tom Rondeau)
  filter: fixed pfb_arb_resampler to handle default taps (None) case
  (Tom Rondeau)
  grc: fixed (removed) "c" key shortcut for create heir action (Tim O'Shea)
  grc: fixed problem with order of message ports vs. data ports (Tom Rondeau)
  runtime: fixed thread safety issue with tags and perf counters (Tim O'Shea)
  runtime: fixed gr types for setting processor affinity (Tom Rondeau)
  runtime: fixed swig issue with affinity mask vector (Tom Rondeau)
  modtool: fixed gr-modtool template output signature (Johnathan Corgan)
  modtool: fixed case when module name ends in 0 (Martin Braun)
  modtool: fixed typo in help string (Tim Monahan-Mitchell)
  modtool: fixed wording in modtool for 'float' sink/source type (Tom Rondeau)
  modtool: fixed some setup for noblock gen (Tom Rondeau)
  modtool: fixed initial templates of a block (Tom Rondeau)
  pkg: fixed packages for Ubuntu 13.04 (Nicholas Corgan)
  qtgui: fixed init FFT Size box for QTGUI sink (Tom Rondeau)
  video-sdl: fixed typo in .pc file (Johnathan Corgan)
  volk: fixed CentOS build failure with extra lib64 in path (Johnathan Corgan)
  wxgui: fixed GL sinks issues on OS X (Balint Seeber)
  wxgui: fixed set_callback failure in nongl sinks (Marcus Leech)
  wxgui: fixed scaling issue of nongl FFT plot (issue #523) (Tom Rondeau)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 27 May 2013 00:28:52 -0400

gnuradio (3.6.4.1-1) unstable; urgency=low

  * New upstream release
  * Bug fixes:
  core: fixed filename path operator (Tim O'Shea)
  core: fixed async message queue max length (Tom Rondeau)
  docs: fixed missing gr-uhd to sphinx docs. (Ben Reynwar)
  docs: fixed a section name collision (Tom Rondeau)
  modtool: fixed Python general blocks syntax (Martin Braun)
  modtool: fixed general python block template (Mike Jameson)
  modtool: fixed extra comma bug in gr_modtool Python (Tom Rondeau)
  volk: fixed MSVC include directory (Nicholas Corgan)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 19 Mar 2013 17:12:54 -0400

gnuradio (3.6.4-1) unstable; urgency=low

  * Include arm build fix from Peter Michael Green (Closes: #682595)
  * Include debian/watch file by Bart Martens
  * postinst, do not specify --theme for xdg-icon-resource (Closes: #673597)
  * gnuradio-dev depends on same version of gnuradio (Closes: #678919)
  * fix debian/control format (Closes: #689357)
  * New upstream release
  http://gnuradio.org/redmine/projects/gnuradio/wiki/ChangeLogV3_6_4
  
  Ability to set processor affinity for GNU Radio blocks
  http://www.trondeau.com/home/2013/2/7/block-core-affinity.html
  
  Inclusion of gr_modtool by Martin Braun
  http://gnuradio.org/redmine/projects/gnuradio/wiki/OutOfTreeModules
  
  Use of GNU Radio preferences in native C++ applications
  http://gnuradio.org/cgit/gnuradio.git/commit/?id=3643a858
  
  Addition of GNU Radio block performance counters
  http://gnuradio.org/redmine/projects/gnuradio/wiki/PerformanceCounters

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 26 Feb 2013 21:44:34 -0500

gnuradio (3.6.3.1-1) experimental; urgency=low

  * New upstream bugfix release
  analog: fixed floating point accuracy issue in CTCSS squelch (Tom Rondeau)
  blocks: fixed use of bare boost::mutex::scoped_lock (Johnathan Corgan)
  blocks: fixed missing include in file_source_impl (Josh Blum)
  cmake: fixed chrono as a necessary Boost library under MSVC (Nicholas Corgan)
  cmake: allow user to override check for bad versions of boost (Tom Rondeau)
  cmake: disable certain buggy Boost versions to fix Issue #513. (Tom Rondeau)
  cmake: fixing generated includes, deps, and header installation.
  core: fixed gr_pdu_to_tagged_stream XML for type (Johnathan Corgan)
  core: fixed gr_message_debug for printing PDUs (Johnathan Corgan)
  core: fixed missing include in gr_socket_pdu (Josh Blum)
  core: fixed missing include for gruel thread (Josh Blum)
  core: fixed redundant test settings (Josh Blum)
  core: fixed gr_random_pdu MSVC incompatibility issue (Nicholas Corgan)
  core: fixed missing include to gr_block_registry.h (Tim O'Shea)
  digital: fixed bug in digital_bert_rx.py (Ben Reynwar)(thanks Charles Ru)
  digital: fixed pfb_clock_sync grc xml file for loop bandwidth (Ben Reynwar)
  filter: fixed synthesis filter output rate (Tom Rondeau)
  grc: fixed failing drag-n-drop in GRC on Windows (Balint Seeber)
  grc: fixed Bug #485 by gracefully exiting (Martin Braun)
  howto: fixed block parameters documentation (Julien Olivain)
  uhd: fixed gain defaults in usrp_wfm_rcv*.py examples (Mike Jameson)
  uhd: fixed default midpoint gain for usrp_am_mw_rcv.py example (Mike Jameson)
  uhd: fixed usrp_nbfm_ptt.py example receive path (Mike Jameson)
  uhd: fixed audio_alsa_sink busy using default in examples (Mike Jameson)
  volk: fixed bad find_package missing components (Josh Blum)
  volk: fixed cmake, the profiler is no longer strictly unix (Josh Blum)
  volk: fixed volk_profile MSVC incompatibility (Nicholas Corgan)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 26 Feb 2013 20:14:48 -0500

gnuradio (3.6.3-2) experimental; urgency=low

  * postinst, do not specify --theme gnome for xdg-icon-resource (673597)
  * gnuradio-dev depends on same version of gnuradio (678919)
  * Debian build uses generic arm, not v7 (682595)
  * fix debian/control format (689357)
  * build with portaudio19-dev and libjack-jackd2-dev
    (in addition to pulseaudio and alsa)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 10 Feb 2013 10:37:05 -0500

gnuradio (3.7git-1) experimental; urgency=low

  * New upstream next git branch ba015f
  * Build with ZeroC's Ice, the Internet Communications Engine
  * new components gr-channels, gr-ctrlport, gr-fec
  * new executables:
    gr_constellation_plot
    gr_psd_plot_[bcfis]
    gr_spectrogram_plot_[bcfis]
    gr_time_plot_[bcfis]
  
 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 04 Feb 2013 12:15:28 -0500

gnuradio (3.6.3-1) experimental; urgency=low

  * New upstream release
  Bug fixes:
  Overhaul of cmake include directory ordering (Michael Dickens)
  Fixed use of default noise seed in channel model (Alick Zhao)
  Fixed file_meta_source/sink incompatibilities with MSVC (Nicholas Corgan)
  Fixed some unused parameter warnings (Alexandru Csete)
 
 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 28 Jan 2013 00:10:46 -0500

gnuradio (3.6.3~rc0-1) experimental; urgency=low

  * New upstream release
  * Addition/upgrade of message passing infrastructure (Tim O'Shea, Tom
    Rondeau, Johnathan Corgan, Josh Blum)
  
  This introduces the ability to add and connect formally defined
  asychronous message ports to signal processing blocks and
  hierarchical blocks. These message ports can be connected to pass
  asynchronous data in the form of PMTs (polymorphic types) among
  blocks in a flowgraph. It is also possible to implement pure
  message passing blocks that have no requirement for streaming
  ports or work functions.
  
  We've also introduced the concept of PDUs (Protocol Data Units) as
  a convention for passing data+metadata using the new messaging
  ports. A PDU is a PMT pair that combines a PMT dictionary of
  metadata keys/values along with a PMT blob to hold a vector of
  data in memory.
  
  A few new general purpose blocks supporting these capabilties are
  in gnuradio-core:
  
  gr_message_debug
  gr_message_strobe
  gr_tagged_stream_to_pdu
  gr_pdu_to_tagged_stream
  
  Two new blocks for interfacing with networking stacks using the
  new PDU semantics:
  
  gr_socket_pdu
  gr_tuntap_pdu
  
  This new message passing capability and PDU convention is aimed at
  providing the infrastructure to better support software radio
  implementations using packet-oriented semantics, such as MAC-layer
  processing.

  * Addition of new Python-based signal processing blocks (Josh Blum)
  
  This feature, originally introduced by Josh Blum as part of
  GrExtras, allows implementing signal processing blocks directly in
  Python, and has now become a standard feature of GNU Radio.

  * Addition of gr-analog top-level component (Tom Rondeau)
  
  This implements the current gnuradio-core signal processing blocks
  used for analog signal processing into their own top-level
  component, gr-analog, and uses the new 3.7 API organization. The
  original blocks in gnuradio-core will be removed on the 3.7 branch
  prior to 3.7 release.

  * Addition of gr-blocks top-level component (Johnathan Corgan)
  
  This implements a large portion of the gnuradio-core non-signal
  processing blocks in the 3.7 API form. The original blocks in
  gnuradio-core will be removed on the 3.7 branch prior to 3.7
  release.
  
  * Metadata file source and sink blocks (Tom Rondeau)
  
  Two new blocks implement enhanced file source and sink blocks that
  incorporate metadata passed using the stream tags feature in GNU
  Radio. It is now possible to store things like frequency and
  sample rate into capture files, or whatever key/value pairs you
  tag onto data streams inside a flowgraph.
  
  http://www.trondeau.com/home/2012/12/15/metadata-file-format.html
  
  * GNU Radio buffer latency control (Tim O'Shea, Tom Rondeau)
  
  For finer-grained control over latency inside a GNU Radio
  flowgraph, it is now possible to adjust, on a per-block basis, the
  maximum noutput_items that will be used to call a block work
  function. In addition, it is possible to set the maximum size an
  output buffer can grow to before a work function is called.

  * New GNU Radio Companion (GRC) capabilities
  
  Added optional flag to pad source and sink (Josh Blum)
  Added wildcard type to pad source and sink (Josh Blum)
  Added ability to reload XML for block (Tim O'Shea)
  Added ability to automatically create hier_blocks
        from a flowgraph (Tim Newman)
  Added ability to open custom GRC hier block definitions (Tim O'Shea)
  Added new grcc command line GRC-to-Python utility (Tom Rondeau)

  * New Documentation Updates (Tom Rondeau)
  
  We are introducing documentation into the Doxygen manual
  describing features and capabilities of GNU Radio, above and
  beyond just documenting the API functions. Tom Rondeau has
  written about this here:
  
  http://www.trondeau.com/home/2012/12/18/new-documentation-for-new-features.html
  
  Some examples of commits where this has been done:
  
  gnuradio.org/cgit/gnuradio.git/commit/?id=77ea309 (PMT type usage)
  gnuradio.org/cgit/gnuradio.git/commit/?id=a21c5f7 (Message passing interface)
  gnuradio.org/cgit/gnuradio.git/commit/?id=996e599 (Metatdata format)
  gnuradio.org/cgit/gnuradio.git/commit/?id=5fcb7eb (Max output buffer control)

  * Other new features:
  
  Allow file source to open new files while running (Brett L. Trotter)
  Allow source blocks to return none/yield (Josh Blum)
  Improved capabilities of uhd_fft.grc example in gr-uhd (Ben Hilburn)
  Added parameter in qtgui sink's GRC block
        to set the update rate (Julien Olivain)
  Added source block hook in gr-uhd for issue stream cmd (Josh Blum)
  Added cmake package support for Ubuntu 12.10 (Nicholas Corgan)
  Added gr::blocks::patterned_interleaver (Tim O'Shea)
  Allow user to set Python path during cmake configuration (Tom Rondeau)
  Enabled serialize/deserialize for PMT vectors (Tom Rondeau)
  Added unsigned long long int support to the PMT sugar functions (Tom Rondeau)
  Allow using pmt_init_Xvector methods in python (Tom Rondeau)
  Bug fixes:
  
  * Numerous cmake related bug-fixes (Josh Blum, Johnathan Corgan, Tom Rondeau)
  Fixed parallel build failures in cmake (Tom Rondeau)
  Fixed segfaults due to old, no longer nedded SWIG workaround (Tom Rondeau)
  Fixed memory leak issue in arbitrary resampler blocks (Tom ROndeau)
  Fixed use of default noise seed in channel model (Alick Zhao)
  Fixed scaling bug in QAM constellations (Ben Reynwar)
  Fixed installation of grc examples (Johnathan Corgan)
  Fixed finding Qwt6 installed on OSX using MacPorts (Ben Reynwar)
  Fixed implicit assumption in skiphead (Josh Blum)
  Fixed include tag include usage throughout core (Josh Blum)
  Fixed incorrect private usage in gr_endian_swap (Josh Blum)
  Fixed segfault in gr-filter due to memory free bug (Josh Blum)
  Fixed UHD pmt tuple ref namespace issue (Josh Blum)
  Fixed gr_tag_debug to handle lacking srcid (Martin Braun)
  Fixed gr-analog for 'sincos(f)' on MacOSX (Michael Dickens)
  Fixed gr-analog build issues on Windows (Nicholas Corgan)
  Fixed qtgui time sink to take the bandwidth parameter
        to set x-axis correctly (Tom Rondeau)
  Fixed float-in, complex-out fft block to use the right io sig (Tom Rondeau)
  Fixed Clang imcompatibility by removing '.version' lines
        in ASM code in core (Tom Rondeau)

  * Contributors this release:
  
  Alick Zhao <alick9188@gmail.com>
  Ben Hilburn <ben.hilburn@ettus.com>
  Ben Reynwar <ben@reynwar.net>
  Brett L. Trotter <blt@webtrotter.com>
  Johnathan Corgan <johnathan@corganlabs.com>
  Josh Blum <josh@joshknows.com>
  Julien Olivain <Julien.Olivain@lacime.etsmtl.ca>
  Martin Braun <martin.braun@kit.edu>
  Michael Dickens <mlk@alum.mit.edu>
  Nicholas Corgan <nick.corgan@ettus.com>
  Tim O'Shea <tim.oshea753@gmail.com>
  Tim Newman <tim.newman@gmail.com>
  Tom Rondeau <tom@trondeau.com>
  
 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 26 Dec 2012 18:56:06 -0500

gnuradio (3.6.2-1) experimental; urgency=low

  * New upstream release
  * Build system changes
  
    Added support for setting SYSCONFDIR
    
  * Top-level component changes

    A new top-level component, gr-filter, has been created. This component
    implements all the filter-related functionality that is in
    gnuradio-core, and uses the new style 3.7 API. The filter blocks in
    gnuradio-core are now deprecated; but will remain in gnuradio-core
    until the 3.7 release. Developers are encouraged to begin using the
    new blocks in preparation.
    
  * New signal processing blocks
  
    gr_and_const_bb: adds bb type to gr_and_const* block
    gr_annotator_raw: allows tagging stream with pmt key, value pair from
    outside GNU Radio
    gr_endian_swap: change item endianness through block
    gr_message_burst_source: turn received messages into a stream and tag them
    gr_tag_debug: debug display of all tags going through block`
    digital_gfsk_demod, digital_gfsk_mod: Gaussian Frequency Shift Keying
    modulator and demodulator
    
  * New feature additions
  
    Support has now been added for ARM processors that do not implement
    NEON. gr-uhd has added rx tagging for changes in sample rate and
    center frequency.
    Added support for serializing pmt tuples
    Added BER/SNR simulation example
    Removed gruel dependency on inet.h
    
  * Bug fixes
  
    core: fix minor bug in gri_wavefile endian swapping
    core: only check for *.conf in preferences directory
    digital: fixed incorrect variable name in qam_demod XML
    digital: fix FLL block to use fir_filter
    digital: remove unused parameter from DPSK demod GRC block
    digital: fix use of Gray code in digital mod/demod GRC files
    fcd: fix copy and paste error in documentation
    uhd: fix stopping flowgraph while streaming
    volk: don't initialize zero phase in rotator kernel
    volk: don't use ORC for volk_16u_byteswap_u kernel
    volk: add missing AVX support in volk_32f_x2_dot_prod_32f kernels
    volk: fix __m128 cast in volk_32fc_x2_dot_prod_32fc_a kernel
    volk: fix volk_32f_x2_dot_prod_32f_u_sse tail case
    volk: use loadu for unaligned volk_32f_x2_dot_prod_32f_u_sse*
    volk: fix for win64 MSVC not having MMX support
    volk: special werror unused cmd line arg for clang
    
  * Contributors
  
    Ben Reynwar
    Chí-Thanh Christopher Nguyễn
    Hendrik van Wyk
    Jaroslav Skarvada
    Johnathan Corgan
    Josh Blum
    Martin Braun
    Nicholas Corgan
    Nick Foster
    Tim O'Shea
    Tom Rondeau
    Wayne Roberts

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 05 Sep 2012 23:56:07 -0400

gnuradio (3.6.1-1) unstable; urgency=low

  * New upstream release
  http://gnuradio.org/redmine/projects/gnuradio/wiki/ChangeLogV3_6_1
  * With Sphinx Python documentation
  * new gr-fft component, more gr-digital component features
  * Supports click-to-tune operation via GRC FFT display

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 11 Jun 2012 13:34:12 -0400

gnuradio (3.6.0-1) unstable; urgency=low

  * New upstream release
    - gr-wavelet component enabled
    - Python and grc examples in /usr/share/gnuradio/examples
    - Python applications have .py extension removed (Closes: #671825)
  * Debian package installs c++ examples in /usr/bin
  * More robust postinst (Closes: #672102)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed,  9 May 2012 23:51:05 -0400

gnuradio (3.5.3.2-1) unstable; urgency=low

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 22 Apr 2012 11:19:14 -0400

gnuradio (3.5.3.1-1) unstable; urgency=low

  * New upstream release
    Fixed segfault in PMT library
    Fixed QA for constellation to always reset the seed for deterministic tests
    Updated volk AVX tests to workaround buggy Xen hypervisors
  * gnuradio-dev ships .pc files. (Closes: #669117)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 18 Apr 2012 12:21:17 -0400

gnuradio (3.5.3-3) unstable; urgency=low

  * kfreebsd patches

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 14 Apr 2012 00:27:43 -0400

gnuradio (3.5.3-2) unstable; urgency=low

  * build depend on libusb-1.0-0-dev [linux-any], libusb2-dev [kfreebsd-any]
  (Closes: #668471)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 12 Apr 2012 00:58:50 -0400

gnuradio (3.5.3-1) unstable; urgency=low

  * New upstream release
  * with Support for FunCube Dongle (gr-fcd) (Closes: #660570)
  * gnuradio now depends upon python-lxml python-wxgtk2.8
    to make gnuradio-companion work well. (Closes: #664607, #664608)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 09 Apr 2012 01:08:06 -0400

gnuradio (3.5.2.1-1) unstable; urgency=low

  * New upstream release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 16 Mar 2012 20:30:18 -0400

gnuradio (3.5.1-1) unstable; urgency=low

  * new upstream version, re-packaged from scratch with modern tools
	    closes: #642716, #645332, #394849, #616832, #590048, #642580,
	    #647018, #557050, #559640, #631863
  * CMake build

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 26 Feb 2012 21:26:16 -0500

gnuradio (3.4.1-1) unstable; urgency=low

  * New upstream release
  * comedi: fix to use comedi 0.8 API
  * support for the Ettus UHD interface
  * deprecating libusrp and libusrp2

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 28 Sep 2011 02:13:45 -0000

gnuradio (3.3.0.dfsg-1) UNRELEASED; urgency=low

  * new upstream version
  * add Vcs entries to the control file
  * use maintainer-clean target, always run bootstrap before configure
  * switch from using python-central to dh_python2
  * switch to doxygen-latex as a build dep, closes: #616252

 -- Bdale Garbee <bdale@gag.com>  Fri, 04 Mar 2011 08:33:04 -0700

gnuradio (3.2.2.dfsg-2) unstable; urgency=low

  * fix typos in short package descriptions, closes: #556572
  * resolve gnuradio-companion conflict with grc by renaming our binary,
    closes: #557050
  * accept patches that remove moc files and make libusrp packages depend
    on adduser, closes: #566564, #566565, #574209, #574231, #574209
  * stop delivering custom prefs.py, closes: #559640
  * lose the conflicts on python-wxgtk2.6, closes: #582486

 -- Bdale Garbee <bdale@gag.com>  Tue, 08 Jun 2010 20:05:02 -0600

gnuradio (3.2.2.dfsg-1) unstable; urgency=low

  * new upstream version, includes gcc4.3 support, closes: #474801, #524387
  * upstream tarball modified to elide unnecessary Altera-licensed files
  * merge debian/ content restructuring from upstream svn
  * change build-dep from fftw3-dev to libfftw3-dev, closes: #458231
  * fix problem with rebuilding, closes: #441739
  * no longer need to move to contrib now that sdcc is fully back in main,
    we just need to build depend on sdcc 2.9.0 or later, closes: #457402
  * rebuild reflects python-central file location change, closes: #490513
  * change Jack build depend to libjack-dev, closes: #527413

 -- Bdale Garbee <bdale@gag.com>  Sun, 01 Nov 2009 15:13:54 -0700

gnuradio (3.0.4-2) unstable; urgency=high

  * rebuild with new version number and upload to finally (?) recover from
    over-zealous removal in response to bug 453154
  * recommend udev instead of hotplug, closes: #448907

 -- Bdale Garbee <bdale@gag.com>  Sun, 23 Dec 2007 12:11:49 -0700

gnuradio (3.0.4-1) unstable; urgency=low

  * new upstream version
  * fix build failure with gcc-4.3 by adding a #include, closes: #420896

 -- Bdale Garbee <bdale@gag.com>  Tue, 14 Aug 2007 22:38:32 -0600

gnuradio (3.0.3-1) unstable; urgency=low

  * new upstream version
  * tweak gnuradio-doc package to eliminate spurious subdirectory level
  * add a usrp-doc binary package, recommended by the usrp package, and
    include xmlto in build dependencies so usrp_guide.html gets generated,
    closes: #407368

 -- Bdale Garbee <bdale@gag.com>  Sun, 11 Mar 2007 23:55:32 -0600

gnuradio (3.0.2-2) unstable; urgency=high

  * add run-time dependency on python-wxgtk2.6.  leaving urgency high since
    this would be a silly bug to release etch with if we can avoid it.

 -- Bdale Garbee <bdale@gag.com>  Mon,  4 Dec 2006 15:35:53 -0700

gnuradio (3.0.2-1) unstable; urgency=high

  * new upstream version, fixes FTBFS issues

 -- Bdale Garbee <bdale@gag.com>  Sun, 12 Nov 2006 14:52:33 -0800

gnuradio (3.0-3) unstable; urgency=high

  * put python-all-dev back in the build-depends list, closes: #398246
  * move gr-wxgui conflicts/depends to python-gnuradio, closes: #396302
  * fix up sections in control to match overrides

 -- Bdale Garbee <bdale@gag.com>  Sun, 12 Nov 2006 10:59:58 -0800

gnuradio (3.0-2) unstable; urgency=high

  * reworked package dependencies so that the 'gnuradio' binary package no
    longer depends on the pieces in contrib.  instead, the 'usrp' binary
    package in contrib now depends on all the USRP-related pieces.  A user
    who doesn't have a USRP board can just install 'gnuradio' and get all
    the relevant pieces, a USRP user needs to install both 'gnuradio' and
    'usrp'.  Closes: #394533
  * improve consistency of references to 'GNU Radio' as upstream project name
  * make the gnuradio package dependencies on python-gnuradio and python-usrp
    be version specific on suggestion from Ramakrishnan Muthukrishnan

 -- Bdale Garbee <bdale@gag.com>  Fri, 10 Nov 2006 00:39:38 -0800

gnuradio (3.0-1) unstable; urgency=low

  * new maintainer, new upstream version
  * Restructuring source and binary packages to follow upstream changes, more
    or less repackaging from scratch taking ideas from the previous packaging
    by Ramakrishnan Muthukrishnan and Steinar H. Gunderson.  This single
    source package replaces all of:
        gnuradio-core
        gnuradio-examples
        gr-audio-alsa
        gr-audio-jack
        gr-audio-oss
        gr-usrp
        gr-wxgui
        usrp
    In addition, the 'gnuradio' binary package is a new meta-package that
    conveniently depends on everything gnuradio related to ease installation.

 -- Bdale Garbee <bdale@gag.com>  Sun,  8 Oct 2006 13:28:21 -0600
